# Glib::Value_Pointer< T, PtrT > Class Template Reference
[Generic Values]

Inherits Glib::ValueBase_Object.

Collaboration diagram for Glib::Value_Pointer< T, PtrT >:
[legend]

List of all members.

## Public Types

typedef PtrT | CppType
typedef void* | CType

## Public Member Functions

void | set (CppType data)
CppType | get () const

## Static Public Member Functions

static GType | value_type ()

### template <class T, class PtrT>
class Glib::Value_Pointer< T, PtrT >

## Member Typedef Documentation

template <class T, class PtrT>

typedef PtrT Glib::Value_Pointer< T, PtrT >::CppType

template <class T, class PtrT>

typedef void* Glib::Value_Pointer< T, PtrT >::CType

## Member Function Documentation

template <class T, class PtrT>

CppType Glib::Value_Pointer< T, PtrT >::get | ( |  | ) | const`[inline]`

template <class T, class PtrT>

void Glib::Value_Pointer< T, PtrT >::set | ( | CppType | data | ) | `[inline]`

template <class T, class PtrT>

static GType Glib::Value_Pointer< T, PtrT >::value_type | ( |  | ) | `[inline, static]`

Reimplemented from Glib::ValueBase_Object.

The documentation for this class was generated from the following file:

- glibmm/value_custom.h